%global project   felix
%global bundle    org.apache.felix.webconsole
%if 0%{?fedora}
# https://gil.fedorapeople.org/felix-inventory-1.0.4-1.fc20.src.rpm
%bcond_with inventory
%endif
Name:          felix-webconsole
Version:       4.2.14
Release:       1%{?dist}
Summary:       Apache Felix Web Management Console
License:       ASL 2.0
URL:           http://felix.apache.org/documentation/subprojects/apache-felix-web-console.html
Source0:       http://www.apache.org/dist/felix/%{bundle}-%{version}-source-release.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(commons-fileupload:commons-fileupload)
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(javax.servlet:javax.servlet-api)
BuildRequires: mvn(org.apache.felix:felix-parent:pom:)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.felix:org.apache.felix.bundlerepository)
BuildRequires: mvn(org.apache.felix:org.apache.felix.framework)
%if %{with inventory}
BuildRequires: mvn(org.apache.felix:org.apache.felix.inventory)
%endif
BuildRequires: mvn(org.apache.felix:org.apache.felix.shell)
BuildRequires: mvn(org.apache.felix:org.apache.felix.utils)
BuildRequires: mvn(org.apache.felix:org.osgi.service.obr)
BuildRequires: mvn(org.codehaus.jettison:jettison)
BuildRequires: mvn(org.codehaus.mojo:native2ascii-maven-plugin)
BuildRequires: mvn(org.mockito:mockito-all)
BuildRequires: mvn(org.osgi:org.osgi.compendium)
BuildRequires: mvn(org.osgi:org.osgi.core)

BuildArch:     noarch

%description
Web Based Management Console for OSGi Frameworks.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{bundle}-%{version}

rm -r src/main/resources/res/ui/ui.tabs.paging.js \
 src/main/resources/res/lib/jquery*.js \
 src/main/debug-resources/res/lib/jquery*.js

%pom_xpath_remove "pom:Embed-Dependency"

%if %{without inventory}
%pom_xpath_remove "pom:profile[pom:id = 'all-in-one-bundle']"
%endif

# https://issues.apache.org/jira/browse/FELIX-3773
%pom_xpath_remove "pom:Import-Package"
# replace non free json.org with jettison
%pom_xpath_inject "pom:plugin[pom:artifactId = 'maven-bundle-plugin']/pom:configuration/pom:instructions" '
<Import-Package>
    org.codehaus.jettison.json.*,
    javax.servlet.*;version=3.1,
    org.apache.commons.fileupload,
    org.apache.commons.fileupload.disk,
    org.apache.commons.fileupload.servlet,
    org.apache.commons.fileupload.util,
    org.apache.commons.io,
    org.apache.commons.io.filefilter,
    org.apache.commons.io.output,
    *
</Import-Package>'

%pom_change_dep org.json:json org.codehaus.jettison:jettison:1.3.1
sed -i "s|org.json|org.codehaus.jettison.json|" \
 src/main/java/org/apache/felix/webconsole/WebConsoleUtil.java \
 src/main/java/org/apache/felix/webconsole/internal/core/BundlesServlet.java \
 src/main/java/org/apache/felix/webconsole/internal/core/ServicesServlet.java \
 src/main/java/org/apache/felix/webconsole/internal/compendium/LogServlet.java \
 src/main/java/org/apache/felix/webconsole/internal/configuration/ConfigAdminSupport.java \
 src/main/java/org/apache/felix/webconsole/internal/configuration/ConfigManager.java \
 src/main/java/org/apache/felix/webconsole/internal/configuration/MetaTypeSupport.java \
 src/main/java/org/apache/felix/webconsole/internal/configuration/MetaTypeServiceSupport.java \
 src/main/java/org/apache/felix/webconsole/internal/misc/LicenseServlet.java \
 src/main/java/org/apache/felix/webconsole/internal/system/VMStatPlugin.java \
 src/main/java/org/apache/felix/webconsole/internal/Util.java

%pom_change_dep javax.servlet: :javax.servlet-api:3.1.0

sed -i.parse_String_to_long "s|return bc.getBundle(Constants.SYSTEM_BUNDLE_LOCATION).getBundleContext();|return bc.getBundle(Long.valueOf(Constants.SYSTEM_BUNDLE_LOCATION).longValue()).getBundleContext();|" \
 src/main/java/org/apache/felix/webconsole/internal/core/BundleContextUtil.java


sed -i 's/\r//' changelog.txt

%mvn_file :%{bundle} %{project}/%{bundle}

%build

%mvn_build --  -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc changelog.txt
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Wed Oct 07 2015 gil cattaneo <puntogil@libero.it> 4.2.14-1
- update to 4.2.14

* Mon May 04 2015 gil cattaneo <puntogil@libero.it> 4.2.8-1
- update to 4.2.8

* Mon Jun 24 2013 gil cattaneo <puntogil@libero.it> 4.2.0-1
- update to 4.2.0

* Fri Sep 07 2012 gil cattaneo <puntogil@libero.it> 4.0.0-1
- initial rpm
